Bug 237797 - Wrong init script
Summary: Wrong init script
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On: 237794
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-25 14:29 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-31 18:48:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-04-25 14:29:04 UTC
+++ This bug was initially created as a clone of Bug #237794 +++

Description of problem:
Following construction forbids to invoke status command on initscript and also
ends up with error code 0 even when the service is not started:
test -e $DAEMON || exit 0
There are also problems with incorrect error codes not obeying our guidelines.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. mv /usr/sbin/automount /usr/sbin/automount.gotcha
2. service automount status/start
3. echo $?
  
Actual results:
0

Expected results:
1/status of the service

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 Jeff Moyer 2007-05-31 18:48:46 UTC
Yes, if you REMOVE the automount binary, the init script won't work.  Of course,
neither will the automount daemon.  I fail to recognize this as a bug requiring
fixing in an update release of our operating system.  Report the problem upstream.


Note You need to log in before you can comment on or make changes to this bug.